DAMO(1)

NAME
damo - Data Access Monitoring Operator

SYNOPSIS
damo [-h] <command> ...

DESCRIPTION
`damo` is a user space tool for DAMON, a data access monitoring subsystem for the Linux kernel. Using this, you can monitor the data access patterns of your system or workloads and make data access-aware memory management optimizations.

Control DAMON and show its results

OPTIONS

-h, --help
    show this help message and exit

COMMANDS

start
    start DAMON with given parameters

tune
    update input parameters of ongoing DAMON

stop
    stop running DAMON

record
    record data accesses and additional information

report
    visualize damo-generated data

replay
    replay the recorded data accesses

module
    control DAMON kernel modules

reclaim
    control DAMON_RECLAIM

lru_sort
    control DAMON_LRU_SORT

setup_cli_completion
    setup command line auto-completion

help
    provide help for given topics

args
    generate complex arguments for other commands

version
    print the version number

schemes
    apply operation schemes

monitor
    repeat the recording and the reporting of data accesses

features
    list supported DAMON features in the kernel

validate
    validate a given record result file

adjust
    adjust the record results with filters and different monitoring attributes

convert_record_format
    convert DAMON result record file's format

record_info
    print basic information of a data accesses record file

diagnose
    generate a report on if DAMON is malfunctioning

pa_layout
    show physical address layout